package com.xhkjedu.smarking.service.exam;

import com.xhkjedu.smarking.mapper.exam.MsClassMapper;
import com.xhkjedu.smarking.model.exam.MsClass;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷考试班级表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsClassService {
    @Resource
    private MsClassMapper msClassMapper;

    /**
     * @Description 新增
     * @Param [msClass]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsClass msClass){
        msClassMapper.insert(msClass);
    }

    /**
     * @Description 列表
     * @Param [msClass]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.exam.MsClass>
     **/
    public List<MsClass> queryList(MsClass msClass){
        return msClassMapper.selectAll();
    }
}
