package com.xhkjedu.smarking.service.exam;

import com.xhkjedu.smarking.mapper.exam.MsClassStudentMapper;
import com.xhkjedu.smarking.model.exam.MsClassStudent;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷考试学生表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsClassStudentService {
    @Resource
    private MsClassStudentMapper msClassStudentMapper;

    /**
     * @Description 新增
     * @Param [msClassStudent]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsClassStudent msClassStudent){
        msClassStudentMapper.insert(msClassStudent);
    }

    /**
     * @Description 列表
     * @Param [msClassStudent]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.exam.MsClassStudent>
     **/
    public List<MsClassStudent> queryList(MsClassStudent msClassStudent){
        return msClassStudentMapper.selectAll();
    }
}
